import React from 'react';

import type { GeneralSizeProp } from '@/mui/types';

import { fillLandingPageSelector } from '@/modules/feeds/Editor/redux/selectors';
import { setAction } from '@/modules/feeds/Editor/redux/slices';

import { useFormSettings } from '@/modules/@common/Form';
import { useAppDispatch, useAppSelector } from '@/modules/@common/store/hooks';
import { Switch } from '@/mui/components';

type PropTypes = {
  disabled?: boolean;
};

function FillLandingPage({ disabled = false }: PropTypes) {
  const dispatch = useAppDispatch();
  const { size } = useFormSettings();

  const fillLandingPage = useAppSelector(fillLandingPageSelector);

  return (
    <Switch
      size={size as GeneralSizeProp}
      color="primary"
      checked={fillLandingPage}
      disabled={disabled}
      onChange={(e) => dispatch(setAction({ fillLandingPage: e.target.checked }))}
    />
  );
}

export default FillLandingPage;
